WsdlToDotnet.Schema (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.dotnet.WsdlToDotnet.Schema class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.dotnet
Class WsdlToDotnet.Schema

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.dotnet.WsdlToDotnet.Schema

Enclosing class:
  WsdlToDotnet

    public static class WsdlToDotnet.Schema

extends java.lang.Object

nested schema class Only supported on NET until mono add multi-URL handling on the command line

Field Summary
`static java.lang.String` | `ERROR_BOTH_DECLARED` Only one of file or url
`static java.lang.String` | `ERROR_FILE_IS_DIR` File is a directory
`static java.lang.String` | `ERROR_FILE_NOT_FOUND` Not found
`static java.lang.String` | `ERROR_NO_URL_CONVERT` Could not URL convert
`static java.lang.String` | `ERROR_NONE_DECLARED` One of file or url must be set

Constructor Summary
`WsdlToDotnet.Schema()`

Method Summary
`java.lang.String` | `evaluate()` Validate our settings.
`java.io.File` | `getFile()` Get the file.
`long` | `getTimestamp()` Gets the file timestamp.
`java.lang.String` | `getUrl()` Get the url.
`boolean` | `isMakeURL()` Get the makeURL attribute.
`void` | `setFile(java.io.File file)` name of a file to use as a source of WSDL or XSD data
`void` | `setMakeURL(boolean makeURL)` flag to request that a file is turned into an absolute file: URL before being passed to the WSDL compiler
`void` | `setUrl(java.lang.String url)` url of a resource.
`void` | `validate()` validate the schema

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_NONE_DECLARED

    public static final java.lang.String ERROR_NONE_DECLARED

  One of file or url must be set

  See Also:
    Constant Field Values

### ERROR_BOTH_DECLARED

    public static final java.lang.String ERROR_BOTH_DECLARED

  Only one of file or url

  See Also:
    Constant Field Values

### ERROR_FILE_NOT_FOUND

    public static final java.lang.String ERROR_FILE_NOT_FOUND

  Not found

  See Also:
    Constant Field Values

### ERROR_FILE_IS_DIR

    public static final java.lang.String ERROR_FILE_IS_DIR

  File is a directory

  See Also:
    Constant Field Values

### ERROR_NO_URL_CONVERT

    public static final java.lang.String ERROR_NO_URL_CONVERT

  Could not URL convert

  See Also:
    Constant Field Values

Constructor Detail

### WsdlToDotnet.Schema

    public WsdlToDotnet.Schema()

Method Detail

### validate

    public void validate()

  validate the schema

### evaluate

    public java.lang.String evaluate()

  Validate our settings.

  Returns:
    either the URL or the full file path

### getFile

    public java.io.File getFile()

  Get the file.

  Returns:
    the file used.

### setFile

    public void setFile(java.io.File file)

  name of a file to use as a source of WSDL or XSD data

  Parameters:
    `file` - the file to use.

### getUrl

    public java.lang.String getUrl()

  Get the url.

  Returns:
    the URL of the resource.

### setUrl

    public void setUrl(java.lang.String url)

  url of a resource. URLs have no timestamp checking, and are not validated

  Parameters:
    `url` - the URL string to use.

### isMakeURL

    public boolean isMakeURL()

  Get the makeURL attribute.

  Returns:
    the attribute.

### setMakeURL

    public void setMakeURL(boolean makeURL)

  flag to request that a file is turned into an absolute file: URL before being passed to the WSDL compiler

  Parameters:
    `makeURL` - a `boolean` value.

### getTimestamp

    public long getTimestamp()

  Gets the file timestamp.

  Returns:
    the timestamp of a file, or -1 for a URL (meaning we do not know its age)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD